adb shell "su -c rm /data/data/registry.com.selectmenu/shared_prefs/executionNumber.xml"
adb shell "su -c rm -r /sdcard/LeaguesState/state.txt"

adb shell cat /proc/stat > procstat0.txt
set STARTTIME=%TIME%
rem call to the main activity to the app to measure, registry.com.selectmenu/.MainActivity in this case
adb shell am start -n registry.com.selectmenu/.MainActivity
start batchloop.bat
start straceDevice.bat

rem this while help us to stop the experiment when the application stop running
:while1
set aux=''
rem call to the app to measure, registry.com.selectmenu in this case
adb shell pidof registry.com.selectmenu > tmp.txt
set /p aux=<tmp.txt
if not %aux%=='' (
    goto while1 
)

set ENDTIME=%TIME%
rem output as time
echo STARTTIME: %STARTTIME%
echo ENDTIME: %ENDTIME%

rem convert STARTTIME and ENDTIME to centiseconds
set /A STARTTIME=(1%STARTTIME:~0,2%-100)*360000 + (1%STARTTIME:~3,2%-100)*6000 + (1%STARTTIME:~6,2%-100)*100 + (1%STARTTIME:~9,2%-100)
set /A ENDTIME=(1%ENDTIME:~0,2%-100)*360000 + (1%ENDTIME:~3,2%-100)*6000 + (1%ENDTIME:~6,2%-100)*100 + (1%ENDTIME:~9,2%-100)

rem calculating the duratyion is easy
set /A DURATION=%ENDTIME%-%STARTTIME%

rem we might have measured the time inbetween days
if %ENDTIME% LSS %STARTTIME% set set /A DURATION=%STARTTIME%-%ENDTIME%

rem now break the centiseconds down to hors, minutes, seconds and the remaining centiseconds
set /A DURATIONH=%DURATION% / 360000
set /A DURATIONM=(%DURATION% - %DURATIONH%*360000) / 6000
set /A DURATIONS=(%DURATION% - %DURATIONH%*360000 - %DURATIONM%*6000) / 100
set /A DURATIONHS=(%DURATION% - %DURATIONH%*360000 - %DURATIONM%*6000 - %DURATIONS%*100)

rem some formatting
if %DURATIONH% LSS 10 set DURATIONH=0%DURATIONH%
if %DURATIONM% LSS 10 set DURATIONM=0%DURATIONM%
if %DURATIONS% LSS 10 set DURATIONS=0%DURATIONS%
if %DURATIONHS% LSS 10 set DURATIONHS=0%DURATIONHS%

rem outputing
echo duration.add( %DURATION% >> times.txt

adb shell cat /proc/stat > procstat1.txt
adb shell "set `ps |grep registry.com.selectmenu`; su -c kill $2"
adb shell "set `ps |grep strace`; su -c kill $2"
adb shell cat /proc/stat > procstat1.txt
del tmp.txt
exit
